
Katello - Bug #36788

Hammer katello has random test failures around cv promote

09/27/2023 08:43 PM - Chris Roberts

Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category: Tests   

Target version: Katello 4.11.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/910

  

Description

Adding a require to make sure it passes, after talking with Lucy it looks like based on the seed that runs, sometimes it has the file

required and passes and other times it fails since it tries to run that test first and does not have the require

'hammer_cli_katello/content_view_version' loaded

Associated revisions

Revision a54dc018 - 09/28/2023 02:22 PM - Chris Roberts

Fixes #36788 - Fix random cv promote test failure

History

#1 - 09/27/2023 08:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/hammer-cli-katello/pull/910 added

#2 - 09/28/2023 03:00 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

Applied in changeset hammer-cli-katello|a54dc0180084a379e4603f2c5291fe8667940920.
